package com.pwt.common.constant;

/***
 * @author linyun
 * @version V1.0
 * @Title: CommandConstants
 * @Description: 指令常量类
 * @date 2022/11/18
 **/
public class CommandConstants {

    /**
     * 充电机充电状态
     */
    public static final int CHARGER_CHARGE_STATUS = 0X10;

    /**
     * 电池状态
     */
    public static final int BATTERY_STATUS = 0X11;

    /**
     * 电池故障
     */
    public static final int BATTERY_FAULT = 0X12;

    /**
     * BMS状态数据
     */
    public static final int BMS_STATUS = 0X13;

    /**
     * 电池其他数据
     */
    public static final int BATTERY_OTHER_DATA = 0X14;

    /**
     * 充电机状态
     */
    public static final int CHARGER_STATUS = 0X15;

    /**
     * 充电完成
     */
    public static final int CHARGE_COMPLETE = 0X20;

    /**
     * 充电机告警
     */
    public static final int CHARGER_ALARM = 0X30;

    /**
     * 启停
     */
    public static final int START_STOP = 0X50;

    /**
     * 配置命令
     */
    public static final int CONFIGURATION_CMD = 0X70;

    /**
     * 控制灯闪烁
     */
    public static final int CONTROL_LAMP = 0X80;

    /**
     * 校时
     */
    public static final int INSPECTION_TIME = 0X90;

    /**
     * 心跳ping
     */
    public static final String PING = "ping";


    /**
     * 回复心跳pong
     */
    public static final String PONG = "pong";

}
