package com.pwt.cloud.params;

import lombok.Getter;
import lombok.Setter;

/**
 * 云平台换电完成接口传入参数
 *
 * @author hanshuangxi
 * @date 2023/8/22 18:47
 */
@Getter
@Setter
public class ChangeFinishParam {

    /**
     * 车辆编号
     */
    private String vehicleCode;

    /**
     * 设备编号【换电机器人编号】
     */
    private String deviceCode;

    /**
     * 换下电池编号
     */
    private String downBatteryCode;

    /**
     * 换下电池电量
     */
    private Double downBatteryLevel;

    /**
     * 换上电池编号
     */
    private String upBatteryCode;

    /**
     * 换上电池电量
     */
    private Double upBatteryLevel;


}