package com.pwt.netty.message;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author linyun
 * @version V1.0
 * @Title: BatteryExtremum
 * @Description: 电池极值数据
 * @date 2022/12/06
 **/
@Getter
@Setter
@ToString
public class BatteryExtremum implements Serializable {
    /**
     * 最高电压
     */
    private String voltageHigh;
    /**
     * 最低电压
     */
    private String voltageLow;
    /**
     * 最高温度
     */
    private String temperatureHigh;
    /**
     * 最低温度
     */
    private String temperatureLow;
}
