package com.pwt.netty.message;

import lombok.Data;

import java.io.Serializable;

/***
 * @author linyun
 * @version V1.0
 * @Title: BatteryStatus
 * @Description: 电池状态包数据
 * @date 2022/11/22
 **/
@Data
public class BatteryStatus implements Serializable {
    /**
     * 电池状态
     */
    private String batteryStatus;
    /**
     * 电池电压
     */
    private String batteryVoltage;
    /**
     * 电池温度
     */
    private String batteryTemperature;
    /**
     * 充电电流
     */
    private String chargeCurrent;
    /**
     * 需求电流
     */
    private String needCurrent;
    /**
     * 充电模式
     */
    private String chargeMode;

    /**
     * soc
     */
    private String SOC;
}
