package com.pwt.netty.message;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author linyun
 * @version V1.0
 * @Title: ChargerStatus
 * @Description: 充电机状态数据
 * @date 2022/12/07
 **/
@Getter
@Setter
@ToString
public class ChargerStatus implements Serializable {
    /**
     * 充电机状态
     */
    private String chargerStatus;

    /**
     * 通讯状态
     */
    private String communicationStatus;

    /**
     * 电压
     */
    private String voltage;

    /**
     * 电流
     */
    private String current;

    /**
     * 已充电时间
     */
    private String chargeTime;

    /**
     * 剩余充电时间
     */
    private String surplusTime;
}
