package com.pwt.netty.message;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/***
 * @author linyun
 * @version V1.0
 * @Title: OtherModel
 * @Description: 其他数据
 * @date 2022/11/22
 **/
@Data
public class OtherModel implements Serializable {

    /**
     * 换电流程
     */
    private Integer changePowerStatus;

    /**
     * 运营天数
     */
    private Integer operationDay;

    /**
     * 累计换电量
     */
    private BigDecimal accumulatedElectricityExchange;

    /**
     * 累计换电次数
     */
    private Integer totalChangeCount;

    /**
     * 注册车辆
     */
    private Integer registeredVehicleCount;

    /**
     * 当前告警数
     */
    private Integer currentAlarmCount;


}
