package com.pwt.web.domain;

import com.pwt.common.core.domain.BaseEntity;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.time.LocalDateTime;

/**
 * 告警记录对象 pwt_alarm_record
 * 
 * @author linyun
 * @date 2022-11-17
 */
@Getter
@Setter
@ToString
public class PwtAlarmRecordQueryParam extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long recordId;



    private Integer sourceDeviceType;

    private Integer faultLevel;

    /** 开始时间 */
    private String beginTime;

    /** 结束时间 */
    private String endTime;
}
