package com.pwt.netty.message;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/***
 * @author linyun
 * @version V1.0
 * @Title: Battery
 * @Description: 电池数据
 * @date 2022/11/22
 **/
@Data
public class Battery implements Serializable{
    /**
     * 电池序号
     */
    private Integer batteryNo;

    /**
     * 电池信息
     */
    private BatteryInfo batteryInfo;

    /**
     * 电池状态
     */
    private BatteryStatus batteryStatus;

    /**
     * 电池极值
     */
    private BatteryExtremum batteryExtremum;

    /**
     * 电池故障
     */
    private List<String> faultInfo;

}
