package com.pwt.web.domain;

import lombok.Data;

import java.math.BigDecimal;

/**
 * @author linyun
 * @version V1.0
 * @Title: ChangePowerModel
 * @Description: 信息汇总换电柱状图模型
 * @date 2022/11/23
 **/
@Data
public class ChangePowerModel {

    /**日期时间 年/月/日*/
    private String changeTime;

    /** 千瓦时*/
    private BigDecimal kwh;

    /**换电次数*/
    private int changeCount;
}
