package com.pwt.web.domain;

import com.pwt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.time.LocalDateTime;

/**
 * 告警记录对象 pwt_alarm_record
 * 
 * @author linyun
 * @date 2022-11-17
 */
@Getter
@Setter
@ToString
public class PwtAlarmRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long recordId;

    /** 发生时间 */
    private LocalDateTime alarmTime;

    private String sourceDeviceId;

    private int sourceDeviceType;

    private int code;

}
