package com.pwt.web.domain;

import com.pwt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

@Getter
@Setter
@ToString
@ApiModel("应急充电")
public class PwtEmergencyVo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 车牌号 */
    @ApiModelProperty("车牌号")
    private String carNo;

    /** 充电机 */
    @ApiModelProperty("充电机")
    private String chargerId;

    /** 充电枪 */
    @ApiModelProperty("充电枪")
    private String chargerGunId;
}
