package com.pwt.web.domain;

import com.pwt.common.annotation.Excel;
import com.pwt.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 机器人故障信息对象 pwt_robot_fault
 * 
 * @author pwt
 * @date 2022-11-23
 */
@Data
public class PwtRobotFault extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 下标 */
    private Integer subscript;

    private String fault;

    /** 故障等级 */
    private Integer faultLevel;

    /** 是否启用(0:未启用 1:已启用) */
    private Integer enabled;

    private String code;

    private int sourceDeviceType;


}
